Bug 133859 - Wizard service initially enables "Next"-button even if there are no more items in the path
Summary: Wizard service initially enables "Next"-button even if there are no more item...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-10 11:55 UTC by Ilhan Yesil
Modified: 2020-06-25 15:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2020-06-10 11:55:08 UTC
Description:
E.g.: An Extension wizard defines following multipath:

path 1: {0}
path 2: [0,1,2}

If wizard is opened, initially "Next"-button is enables although there are only one item in the path

Steps to Reproduce:
1. Install current wollmux version as an extension. Any other extension with multiple paths, while the first path has only one item is also possible. In that case use equivalent steps to open the wizard.
2. Open a calc document with a set of addresses.
3. Open the wollmux print dialog on the sidebar


Actual Results:
Initially the "next" button ist enabled

Expected Results:
The next button should be disabled, as there are no more pages on this path.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.4.0.0+
Build ID: e53b9cbd25dab45c305e718380fcdb0f2ae4d342
CPU-Threads: 4; BS: Linux 4.19; UI-Render: Standard; VCL: gtk3_kde5;
Comment 1 Ilhan Yesil 2020-06-10 11:56:06 UTC
Self confirming according to https://wiki.documentfoundation.org/QA/Guidelines_for_public_and_private_sector_deployments. Issue has originally been reported by another user in our internal issue tracker.
Comment 2 Commit Notification 2020-06-19 23:45:54 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54a3daec02f2eeada04efcd7958da4152db4611a

tdf#133859 Wizard service: disable 'Next' button if path has only base item

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-24 22:29:22 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a6b26c0e8544675ff2b76a1342d670032d974f60

tdf#133859 Wizard service: disable 'Next' button if path has only base item

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-24 22:30:53 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cd971797acea4611dc51fb0fcc08632f83bd10c1

tdf#133859 Wizard service: disable 'Next' button if path has only base item

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.